Subject: Re: bug#57142: reporting an issue

From: "Brian C. Lane" <[email-masked]>
Date: Mon, 15 Aug 2022 11:17:59 -0700

On Thu, Aug 11, 2022 at 02:55:43PM +0200, Anton Wessel wrote:
> 
> Dear Ladies and Gentlemen,
> 
> In KNOPPIX 9.1 I use parted version 3.4
> 
> I am trying to repair the USB stick
> 
> > SanDisk Cruzer Glide
> > SDCZ60-256G-B35
> 
> which was destoyed by partclone.

I am not sure what you mean by repair, but parted likely isn't the tool
you want for that.

parted *can* re-partition the device, but you will lose your data when
you re-format it.

As the other response said, you need to use 'primary' on msdos
labeled devices. Setting the filesystem type to ntfs will set the
partition type for an NTFS filesystem, but will not actually format it.
You need to use mkfs.ntfs to do that.

Good Luck,

Brian
-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart